package cn.com.countrygarden.bi.main.model.sys;

import java.util.Date;
import javax.persistence.*;

@Table(name = "erp_mca_role_map")
public class MacRoleMap {
    @Id
    private Integer id;

    /**
     * erp权限代码
     */
    @Column(name = "erp_role_code")
    private String erpRoleCode;

    /**
     * Mca权限代码
     */
    @Column(name = "mca_role_code")
    private String mcaRoleCode;

    @Column(name = "created_date")
    private Date createdDate;

    @Column(name = "created_by")
    private String createdBy;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取erp权限代码
     *
     * @return erp_role_code - erp权限代码
     */
    public String getErpRoleCode() {
        return erpRoleCode;
    }

    /**
     * 设置erp权限代码
     *
     * @param erpRoleCode erp权限代码
     */
    public void setErpRoleCode(String erpRoleCode) {
        this.erpRoleCode = erpRoleCode == null ? null : erpRoleCode.trim();
    }

    /**
     * 获取Mca权限代码
     *
     * @return mca_role_code - Mca权限代码
     */
    public String getMcaRoleCode() {
        return mcaRoleCode;
    }

    /**
     * 设置Mca权限代码
     *
     * @param mcaRoleCode Mca权限代码
     */
    public void setMcaRoleCode(String mcaRoleCode) {
        this.mcaRoleCode = mcaRoleCode == null ? null : mcaRoleCode.trim();
    }

    /**
     * @return created_date
     */
    public Date getCreatedDate() {
        return createdDate;
    }

    /**
     * @param createdDate
     */
    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    /**
     * @return created_by
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * @param createdBy
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }
}